export declare class CRC {
    static DEFAULT_POLYNOMIAL: number;
    static MODULO: number;
    static fromBytes(data: Uint8Array, polynomial?: number): number;
    static fromWord(buffer: Uint32Array, polynomial?: number): number;
    protected static _crc32(Crc: number, Data: number, polynomial: number): number;
}
